/*!@brief Einbinden der Fridolin Bibliothek */
#include "Fridolin.h"

/*!
 *@mainpage Fridolin - Examples
 *@section  Fridolin - Testausgaben
 *@author   Die Bitschubser
 *@date     21.05.2019
 *@version  1.0
 * Fridolin kann seinen Akkustand auf dem Display anzeigen.
*****/

/*!
 *@remark Pins definieren und Objekte erzeugen
*/

using namespace STFU;

/*!@section Displayobjekt erzeugen und Pinbelegung definieren */
static Display display = Fridolin::display();

void setup()
{
  /*!@brief Setup Funktion muss aufgerufen werden, damit das Display angeschaltet wird */	
  Fridolin::setup();
}

void loop()
{
  /*!@brief Fridolin zeigt den Batteriestatus an */		
  Fridolin::batteryStatus();
  delay(2000);
}
