#include "Button.h"

namespace STFU
{

Button::Button(int buttonPin) : _buttonPin(buttonPin)
{
  pinMode(_buttonPin, INPUT);
}

void Button::waitForPushButton() const
{
  while (!(checkButton())) {};
}

bool Button::checkButton() const
{
  return digitalRead(_buttonPin) == LOW;
}

}