#include "LED.h"

namespace STFU
{

LED::LED(int pin) : _pin(pin)
{
  pinMode(_pin, OUTPUT);
}


void LED::on()
{
  digitalWrite(_pin, HIGH);
}

void LED::off()
{
  digitalWrite(_pin, LOW);
}

void LED::switchState ()
{
  if (state()) {
    off();
  }
  else {
    on();
  }
}

bool LED::state() const
{
  if (digitalRead(_pin) == HIGH) {
    return true;
  }
  return false;
}

}