#include "Motor.h"


namespace STFU
{
/*! KONSTRUKTOREN */
Motor::Motor(int pinSpeed, int pinDirection)
  : _pinSpeed(pinSpeed),
    _pinDirection(pinDirection)
{
  pinMode(_pinSpeed, OUTPUT);
  pinMode(_pinDirection, OUTPUT);
}

/*! MEMBER */
void Motor::speed(int s)
{
  analogWrite(_pinSpeed, s);
}

int Motor::speed() const
{
  return analogRead(_pinSpeed);
}

void Motor::direction(int d)
{
  analogWrite(_pinDirection, d);
}

int Motor::direction() const
{
  return digitalRead(_pinDirection) * 255;
}

}